OAuth 2.0
OAuth 2.0 Protected Resource Metadata
get
/.well-known/oauth-protected-resourceReturns the OAuth 2.0 Protected Resource Metadata document (RFC 9728). MCP clients use this endpoint to discover which authorization server(s) can issue tokens accepted by this resource server.
bash
Sample request1curl --request GET 'https://api.eu-west-1.aws.dash0.com/.well-known/oauth-protected-resource'
Responses
Protected resource metadata document.
References OAuthProtectedResourceMetadata
stringrequired
The resource server's resource identifier (its canonical URI).
string[]required
Array of authorization server issuer identifiers that can issue tokens accepted by this resource.
string[]
List of scopes supported by this resource server.
string[]
Methods supported for sending bearer tokens to this resource (e.g., "header").
string
URL of documentation for this protected resource.